---
updatedAt: 2026-10-31T08:03:05.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Remove speaker's profile picture

Using this API, you can remove the speakers' profile picture. 

You need to send the speakers' id as a path parameter `id`, event URL. 

we need to pass the authentication key to authenticate users and it will require super admin, event admin, event staff level access.

This API Returns a void response with 200 status if the API executed successfully.

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        400
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource.
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/host/event/{eventUrl}/speaker/{id}/speakerProfile": {
      "delete": {
        "summary": "Remove speaker's profile picture",
        "description": "Using this API, you can remove the speakers' profile picture. \n\nYou need to send the speakers' id as a path parameter `id`, event URL. \n\nwe need to pass the authentication key to authenticate users and it will require super admin, event admin, event staff level access.",
        "operationId": "remove-speaker-profile",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique speaker ID",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authorization Token",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```